﻿using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Line 클래스 : 해시 스타일 라인 그리기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Line line = new Line();

            line.LinePen.Width                = 10;
            line.LinePen.EndCap               = LineCap.Round;
            line.LinePen.Fill.Solid           = false;
            line.LinePen.Fill.Style           = HatchStyle.Cross;
            line.LinePen.Fill.Color           = Color.Red;
            line.LinePen.Fill.ForegroundColor = Color.White;
            line.LinePen.Fill.Visible         = true;
            line.LinePen.Visible              = true;

            line.FillSampleValues(20);

            this.tChart.Series.Add(line);
        }

        #endregion
    }
}